cordova.define("tm-plugin-controller.TMController", function(require, exports, module) {
var exec = require('cordova/exec');
var controllerExport = {};
controllerExport.sendMessage = function (action,messageJson, success, error) {
    exec(success, error, 'TMController', 'sendMessage', [action,messageJson]);
};

controllerExport.interceptTouchEvent = function (isIntercept) {
    exec(null, null, 'TMController', 'interceptTouchEvent',[isIntercept]);
};

controllerExport.openNativeInterface = function (windowName, arguments) {
    exec(null, null, 'TMController', 'openNativeInterface',[windowName,arguments]);
};

controllerExport.openHtmlInterface = function (windowName,configName, arguments) {
    exec(null, null, 'TMController', 'openHtmlInterface',[windowName,configName,arguments]);
};

controllerExport.getUser = function (success, error) {
    exec(success, error, 'TMController', 'getUser',[]);
};

controllerExport.getRealUser = function (success, error) {
    exec(success, error, 'TMController', 'getRealUser',[]);
};

controllerExport.getBaseConfig = function (success, error) {
    exec(success, error, 'TMController', 'getBaseConfig',[]);
};

controllerExport.openLoginInterface = function (success, error) {
    exec(success, error, 'TMController', 'openLoginInterface',[]);
};

controllerExport.openUCMainInterface = function () {
    exec(null, null, 'TMController', 'openUCMainInterface',[]);
};

controllerExport.openBindingMobileInterface = function (success, error) {
    exec(success, error, 'TMController', 'openBindingMobileInterface',[]);
};

controllerExport.openCommonInterface = function (success, error,arguments) {
    exec(success, error, 'TMController', 'openCommonInterface', [arguments]);
};

controllerExport.shareUrl = function (success, error, description, thumb, title, url) {
    exec(success, error, 'TMController', 'shareUrl', [description, thumb, title, url]);
};

controllerExport.shareOnlyWechat = function (success, error, description, thumb, title, url) {
    exec(success, error, 'TMController', 'shareOnlyWechat', [description, thumb, title, url]);
};

controllerExport.shareText = function (success, error, description) {
    exec(success, error, 'TMController', 'shareText', [description]);
};

controllerExport.showPayDialog = function (success, error, cost) {
    exec(success, error, 'TMController', 'showPayDialog', [cost]);
};

controllerExport.gotoPay = function (success, error, type, content) {
    exec(success, error, 'TMController', 'gotoPay', [type, content]);
};

controllerExport.getOperationUser  = function (success, error) {
    exec(success, error, 'TMOperation', 'getOperationUser',[]);
};

controllerExport.openOperationAccountInfo = function (success, error) {
    exec(success, error, 'TMOperation', 'openOperationAccountInfo',[]);
};

controllerExport.openOperationLoginInterface  = function (success, error) {
    exec(success, error, 'TMOperation', 'openOperationLoginInterface',[]);
};

controllerExport.getToDayStepCount  = function (success, error) {
    exec(success, error, 'TMStepCount', 'getToDayStepCount',[]);
};

controllerExport.getImageOrVideo  = function (success, error,type,limit,needShowDialog) {
    exec(success, error, 'TMController', 'getImageOrVideo',[type,limit,needShowDialog]);
};

module.exports = controllerExport;
});
